<body >
    <div id="background" >
        <div class="ui grid" style="display: initial;">
            <div class="four wide column ">
                <div class="ui card image-holder">
                    <div class="ui dimmer" [ngClass]="{active: shouldDisplayUserForm}">
                        <div class="ui text loader">Loading...</div>
                    </div>
        
                    <div class="img" >
                        <img src="./../../assets/user-profile.png" >
                    </div>
        
                    <div class="content">
                        <p class="header">{{user?.username}}</p>
                        <p class="description"> {{user?.email}} </p>
                        <button class="ui fluid button" (click)="logout()">Logout</button>
                    </div>
                </div>
            </div>
            <div class="ten wide column content-holder">
                <div>
                <button class="ui button" (click)="onChangeInfo()"> Change profile info </button>
                <br><br>
                <ul *ngIf="shouldDisplayUserInfo;">
                    <li>
                        <label >Username : {{user?.username}}</label>
                    </li>
                    <li>
                        <label >Email : {{user?.email}}</label>
                    </li>
                    <li>
                        <label >Show counter : {{counterShows}}</label>
                    </li>
                    <li>
                        <label >Favorite genre : {{favoriteGenre}}</label>
                    </li>
                    <li>
                        <label >Best rated show : {{favouriteShow}}</label>
                    </li>
                </ul>

                <div class = "ui form" [formGroup]="userForm" *ngIf="shouldDisplayUserForm;">
                    <label>Username</label>
                    <input type="text" name="username" formControlName="username"  placeholder="{{user?.username}}">

                    <label>Password</label>
                    <input type="password" name="password" formControlName="password"/>
                            
                    <label>Email</label>
                    <input type="email" placeholder="{{user?.email}}" name="email" formControlName="email">
                    <br><br>
                    <button class="ui button" (click)="onUserFormSubmit()" type="submit">Save changes</button>
                </div>
                <br>
                <button class="ui button" (click)="deleteUser()"> Delete account </button>

            </div>
    
        </div>
    </div> 
    </div>
</body> 

